/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing AdminApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class AdminApiTests : IDisposable
    {
        private AdminApi instance;

        public AdminApiTests()
        {
            instance = new AdminApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of AdminApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' AdminApi
            //Assert.IsType<AdminApi>(instance);
        }

        /// <summary>
        /// Test ApiV2AdminOptions
        /// </summary>
        [Fact]
        public void ApiV2AdminOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2AdminOptions();
        }

        /// <summary>
        /// Test GetAllActivityLogs
        /// </summary>
        [Fact]
        public void GetAllActivityLogsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //DateTime? activityTimestampBefore = null;
            //DateTime? activityTimestampAfter = null;
            //Guid? guid = null;
            //Guid? userId = null;
            //string? regularExpression = null;
            //CoscineHttpMethod? httpMethod = null;
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetAllActivityLogs(activityTimestampBefore, activityTimestampAfter, guid, userId, regularExpression, httpMethod, pageNumber, pageSize, orderBy);
            //Assert.IsType<ActivityLogDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test GetAllProjects
        /// </summary>
        [Fact]
        public void GetAllProjectsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //bool? topLevel = null;
            //bool? includeDeleted = null;
            //bool? includeQuotas = null;
            //bool? includePublicationRequests = null;
            //int? pageSize = null;
            //int? pageNumber = null;
            //string? orderBy = null;
            //var response = instance.GetAllProjects(topLevel, includeDeleted, includeQuotas, includePublicationRequests, pageSize, pageNumber, orderBy);
            //Assert.IsType<ProjectAdminDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test GetAllResources
        /// </summary>
        [Fact]
        public void GetAllResourcesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //bool? includeDeleted = null;
            //bool? includeQuotas = null;
            //int? pageSize = null;
            //int? pageNumber = null;
            //string? orderBy = null;
            //var response = instance.GetAllResources(includeDeleted, includeQuotas, pageSize, pageNumber, orderBy);
            //Assert.IsType<ResourceAdminDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test GetAllUsers
        /// </summary>
        [Fact]
        public void GetAllUsersTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //bool? tosAccepted = null;
            //int? pageSize = null;
            //int? pageNumber = null;
            //string? orderBy = null;
            //var response = instance.GetAllUsers(tosAccepted, pageSize, pageNumber, orderBy);
            //Assert.IsType<UserDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test GetDeployedGraphs
        /// </summary>
        [Fact]
        public void GetDeployedGraphsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetDeployedGraphs(pageNumber, pageSize, orderBy);
            //Assert.IsType<DeployedGraphDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test GetMetadataGraph
        /// </summary>
        [Fact]
        public void GetMetadataGraphTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string graph = null;
            //RdfFormat? format = null;
            //var response = instance.GetMetadataGraph(graph, format);
            //Assert.IsType<RdfDefinitionDtoResponse>(response);
        }

        /// <summary>
        /// Test PatchMetadata
        /// </summary>
        [Fact]
        public void PatchMetadataTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string graph = null;
            //RdfPatchDocumentDto? rdfPatchDocumentDto = null;
            //instance.PatchMetadata(graph, rdfPatchDocumentDto);
        }

        /// <summary>
        /// Test UpdateMetadataGraph
        /// </summary>
        [Fact]
        public void UpdateMetadataGraphTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string graph = null;
            //MetadataUpdateAdminParameters? metadataUpdateAdminParameters = null;
            //instance.UpdateMetadataGraph(graph, metadataUpdateAdminParameters);
        }
    }
}
